<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Light Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Light.html">Ogre::Light</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#6b0962ead2b2a699af0d2b564450e5ae">_calcTempSquareDist</a>(const Vector3 &amp;worldPos)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#20139173e816c296ab46d0548d1d4902">_getAnimableValueNames</a>(void)</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#bc4d3c30d2b50267a348f8d5aee3c5e4">_getCreator</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#4ef900af994c9d941660660136ad375e">_getFrustumClipVolumes</a>(const Camera *const cam) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#0c95a392476c6b54be1648a77f2a56c0">_getManager</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#8dc7734dd5c2784d356ac0166c9e6537">_getNearClipVolume</a>(const Camera *const cam) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab6d217065c5d2968ef0cc2586a0db86">_getParentNodeFullTransform</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#2c4dddb1da9079b9f68236c86a689e54">_notifyAttached</a>(Node *parent, bool isTagPoint=false)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#06f161ae0451be7eaa67e77c296d5631">_notifyCreator</a>(MovableObjectFactory *fact)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a805908a2945ba1e1b1d6badb4761e27">_notifyCurrentCamera</a>(Camera *cam)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#f730ac3ee4a51ee69f4221298f933e8a">_notifyManager</a>(SceneManager *man)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#cc93817276a3ea236bb45a19de4f5d4e">_notifyMoved</a>(void)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#be3c45929a0f84044ed7834c6a795333">_updateRenderQueue</a>(RenderQueue *queue)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#146b6b8afa6de9a2058f730aa3f7b25c">addQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#dff2fa7a7c56ba06d25d2dfa376fd677">addVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#6855b757e0df1aae6d6b014466d4d25b">AnimableDictionaryMap</a> typedef</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#cc4f830de60e226fbed772610eea93a4">AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#83629c5c4708cebd10c358a4be0722f5">createAnimableDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#6e0be3df5d41752c0bedfcf9c89e492b">createAnimableValue</a>(const String &amp;valueName)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#136dfd54b581a6dc58a1796a1cdf6cdc">extrudeBounds</a>(AxisAlignedBox &amp;box, const Vector4 &amp;lightPos, Real extrudeDist) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#cae2215c051989d544f34083a0a9bfa2">extrudeVertices</a>(const HardwareVertexBufferSharedPtr &amp;vertexBuffer, size_t originalVertexCount, const Vector4 &amp;lightPos, Real extrudeDist)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#396374525d65e0db10c7f7f8d380744a">generateShadowVolume</a>(EdgeData *edgeData, const HardwareIndexBufferSharedPtr &amp;indexBuffer, const Light *light, ShadowRenderableList &amp;shadowRenderables, unsigned long flags)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#8b67ad3f3fe29c986f2298f9e462fae3">getAnimableDictionaryName</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#4239d192b2b08c4970dfaa22ce5a0cd0">getAnimableValueNames</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#cb32e131db93769b4e13b1d00680fffc">getAs4DVector</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#9c64d985a28a096dc4b880d8b5e360d1">getAttenuationConstant</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#481be0da125772a5d5474e6af0acbc22">getAttenuationLinear</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#13708fbd6c034ab41aa94f5a7ff44bc7">getAttenuationQuadric</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#fb80c93a8439c98ac18b9c1f28861772">getAttenuationRange</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#d50541c933e318a593d17ac68773dca1">getBoundingBox</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#e7e7988aaa1cc5c7248241e7598d4ed4">getBoundingRadius</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#70bca10cdeac93142d9f93ed0cf9c4c5">getCastShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#d8451aea97e36fabc4399476cd9e5c6b">getCustomShadowCameraSetup</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#f06612d0607ebcf1bf5eb817c3038d52">getDarkCapBounds</a>(const Light &amp;light, Real dirLightExtrusionDist) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#01f48775e48b672d7796311f3ffe2930">getDefaultQueryFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2eb94fea5944cf0d33702a75cfa14a74">getDefaultVisibilityFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#df85ba76984df46b4564e619ef252f13">getDerivedDirection</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#719943ec8e5951fefe7691e384316ac3">getDerivedPosition</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#50a730341580519e054d5ebee9200556">getDiffuseColour</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#f1f2ba6b58fa76360a9e8b1ec6c82d51">getDirection</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#60b24cd45c8df45654dcfa14a1293a3b">getEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#233233e14ccb869b6cafd655880355df">getExtrusionDistance</a>(const Vector3 &amp;objectPos, const Light *light) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#f061175eb50a6aa98599ce0a748204b5">getLightCapBounds</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#df305fd600ec68543ed68e0c0cef6196">getListener</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#c64566ebdac18bbb6c15dc50358fd6b1">getMovableType</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2c681d880b842c1b6d2c2b30b72b6660">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#7be6f35f90943c6bca0b4511e1d266d8">getParentNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#0c705ecac4263b65a1b8611eeb24c39a">getParentSceneNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#bb13b8e1b52d9dca9f5190f718686a5e">getPointExtrusionDistance</a>(const Light *l) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#6eaf6008b42847ebde35a8b4928ca4fb">getPosition</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#3a0302cf915328e2aa92c982d7f70709">getPowerScale</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#5c40b9b7d9f3231f9ba16a3514f7495a">getQueryFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#97501f320f00fb5255d76fe3b20903d2">getRenderingDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#12ca5ddb4ca9e77612b6e8a10e4f3d70">getRenderQueueGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#4492fa817bb3a750d349aeec34c19c43">getShadowVolumeRenderableIterator</a>(ShadowTechnique shadowTechnique, const Light *light, HardwareIndexBufferSharedPtr *indexBuffer, bool extrudeVertices, Real extrusionDist, unsigned long flags=0)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#4788d8bb88b7a5488f73cd63d5fdbeec">getSpecularColour</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#d25c9018d6f3c19b6c802827320291ec">getSpotlightFalloff</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#9da656c6966084117203d999ac0d3809">getSpotlightInnerAngle</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#7dd772c1291283bb091b36a208e055f4">getSpotlightOuterAngle</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#5172d775582dcc3cde1904f0a5dffd6d">getType</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#12fb2e2d60489902792ed3804e55bc3d">getTypeFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#70a42d28867f1559f1bd71baf31f83e4">getUserAny</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#db62f2cc2aebbbba65472344cb799dd4">getUserObject</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#5ca10844726d16c8ed47395a6b22d33a">getVisibilityFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#dbc3ce687f4def00d70f15dc0a2330ea">getVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#cc31c877990c3c231c4b4cfb0522bef8">getWorldBoundingBox</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2f6db9f0db4038e6544d703a9f3bcf53">getWorldBoundingSphere</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#b7c2a8be6a9bd59e6c69ee2d76945500">hasEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#3d2f217e88c62e3b2c2123085e71bc63">initialiseAnimableDictionary</a>(StringVector &amp;vec) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#d2c50ff1546dfac42f0751aa1bb54ff3">isAttached</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#605cb18ec6d5971e19491ec71c89afeb">isInScene</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ebb41fb7484f365c18e78103517b0d25">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#d2e58022048b39881379298e30fa2765">Light</a>()</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#cee7830214ec1660dc13796f6ca99e36">Light</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#4f1dea084d1497c6f49e802ade940dbc">LightTypes</a> enum name</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#4f1dea084d1497c6f49e802ade940dbc4c5582d28848ce40c2b652488494b4a3">LT_DIRECTIONAL</a> enum value</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#4f1dea084d1497c6f49e802ade940dbc0d59bfdcfeb338dbfe06e2e2999e752f">LT_POINT</a> enum value</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#4f1dea084d1497c6f49e802ade940dbc8fc40a1ccfb026944417ef92b7ddaefe">LT_SPOTLIGHT</a> enum value</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#24752d48882af5963f60999354ab33c5">mAttenuationConst</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#011f056b28ea82aa6ffc2268ef371660">mAttenuationLinear</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#601daee6ce5725c4269f2db10fcdda45">mAttenuationQuad</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#1f6c5390b42b10e00d3b21b8911aa3f4">mBeyondFarDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#d21e8a5a6f0eeeefa3ec698781eaa3fa">mCastShadows</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#884d3c2c8c8d8305f59eb171a7f56e56">mCreator</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#d621fad7e9875b439bb0e9bde91d6e6b">mCustomShadowCameraSetup</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a33da09147f64bd9a6af041f1ae29511">mDerivedDirection</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#5024f67e7f25fc03f364578a98524df3">mDerivedPosition</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#2fe86b96972df91772c4cfa18080a702">mDerivedTransformDirty</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#6d7d01483a27ce195ce7e242114361a9">mDiffuse</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#3ea988354dde44fb698359dd51ae2fb9">mDirection</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#fe9e8df56e09c920cf3f9f357ab0914c">mFrustumClipVolumes</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2626ce2a2f1c78027634cc92dfd2b211">mLightList</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#f083212ba58f26eb7c747a0da749cc08">mLightListUpdated</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#fc9d2ccf3f4b9b1285b4b1b8086d8e2f">mLightType</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#07fdbfc4ae0adb48f7619c0a44bd3890">mListener</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#5c05f316d061761a08fc036daedd0649">mManager</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#41954f454246b2935cdc90ab2f36dab8">mName</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#1f4faa64483b0ec25059f1e572deadea">mNearClipVolume</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#14cee569be7975c5fb0be006a294eee8">MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#4289fbdfe280c454f62f0f780d734817">MovableObject</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#9f9b9e6981ef7ebbd6b9d82e93a2b299">mParentIsTagPoint</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#961db9b5f439708e0f24cb8dbeb9c728">mParentNode</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#5f838a3710d950c2699517f070a86995">mPosition</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#dc81449ed7c27ba27fb95a9bb667d378">mPowerScale</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#df36b5bfcc9bce768bc5f8a9ed6b1464">mQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#1da47a9c442d77dd92f1005358370a7e">mRange</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#d1291c87111d8944b2c49904a4d6280b">mRenderingDisabled</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a63b5c1cf9746a4caeb2a47a6bc1d2d6">mRenderQueueID</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2051828f33ea6c921e2979c8f00daa3f">mRenderQueueIDSet</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#1e2b199b8a10c3753ebeecc8fa773620">msAnimableDictionary</a></td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#deb3bbe50c1b6e92061461b363fc391e">msDefaultQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#24f37de53688fc5432d50c7ced03bd63">msDefaultVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#3fe6a5ae4d4b52207deccc4ce1e52832">msMovableType</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#6d2172419c35c595b76639110311edcf">mSpecular</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#161e25b6228ba5cf9b2cbb1ff9ea77e8">mSpotFalloff</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ccbb6156162f3cedbc5e0ff304532c2b">mSpotInner</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#37346e5d84403c0b87be42b2f2d8772f">mSpotOuter</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2635aafd01416e5a3346a647c2dfff52">mSquaredUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#0df899bfb650d8d51be51fa5f83743f4">mUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#55581f086c6b7f68b080de187d1790fb">mUserAny</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#6db376fe4c048714224392901c98c3a5">mVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#8e7fa9ec69253b42ff4e7605b54e1a00">mVisible</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#665c171729e2f37b66f73d0e6722ac2c">mWorldAABB</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#271b08ae4cc604657c17125f76ec62e0">mWorldBoundingSphere</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#00a9705c083b9fef8bbe762a5b1711a8">mWorldDarkCapBounds</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2d4c926ce07f3a1cb0e59d9d60aac76b">queryLights</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#871eed360bcbf391459316ffbcda0651">removeQueryFlags</a>(unsigned long flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#b7bebfd93631ffe82f95ad7c73b77e24">removeVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#8dfbfef136e815bd6c8d2850b5364c44">resetCustomShadowCameraSetup</a>(void)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#2880f26669477a55cf01919f906bb65d">setAttenuation</a>(Real range, Real constant, Real linear, Real quadratic)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#cbfc4840224e8b6ed6e27849d3341675">setCastShadows</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#4a6f664fade2ac14d1ed5910b0d1a21a">setCustomShadowCameraSetup</a>(const ShadowCameraSetupPtr &amp;customShadowSetup)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#d8db1f22329b2a96f2aed7260d565944">setDefaultQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#c2904cb122ab8c8d5066abefb29dfa96">setDefaultVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#dead68de3305bd67d1617352c14da3c3">setDiffuseColour</a>(Real red, Real green, Real blue)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#1cab92f6d67cb87f2ca99d04e897093c">setDiffuseColour</a>(const ColourValue &amp;colour)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#a9c6df55eafb28a2a0bab287bc9596f7">setDirection</a>(Real x, Real y, Real z)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#1659111f4eb55f3b3227e87c8bfce8d9">setDirection</a>(const Vector3 &amp;vec)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#9efbb3928b834d4f125303698034951e">setListener</a>(Listener *listener)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#f45236b1551783320d75c662abdf9b1b">setPosition</a>(Real x, Real y, Real z)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#b6b95e8fe205428797eb4cb40c811780">setPosition</a>(const Vector3 &amp;vec)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#8588796e58389701c22fb8e5c62a080e">setPowerScale</a>(Real power)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a202386b8336ed756c3bd1ff5a74f54d">setQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#3774342d37fb670430d834aa914a3be5">setRenderingDistance</a>(Real dist)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#c5e898937867475e52d350d1f4d75e32">setRenderQueueGroup</a>(uint8 queueID)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#07c50eb182b14e404d34c3a1bcae9664">setSpecularColour</a>(Real red, Real green, Real blue)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#614988755dcedf910f7df90fafe6158e">setSpecularColour</a>(const ColourValue &amp;colour)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#ec895d9f784ea062ce69c823737229c5">setSpotlightFalloff</a>(Real val)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#d9adeeb164ff515099236e2e8fb0c850">setSpotlightInnerAngle</a>(const Radian &amp;val)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#d4d52d64dca4df8a930a2401028f73ff">setSpotlightOuterAngle</a>(const Radian &amp;val)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#8ef06bd9c2e7113461c50c83c5f09fe9">setSpotlightRange</a>(const Radian &amp;innerAngle, const Radian &amp;outerAngle, Real falloff=1.0)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#6019f7fa89624e35316ba444e519d8f8">setType</a>(LightTypes type)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#b07068e26732de24aaf24330e9d0ec81">setUserAny</a>(const Any &amp;anything)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#19cb3e66484a172e05c336737b713400">setUserObject</a>(UserDefinedObject *obj)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#9421323e0ef6082d8a293aef0ba4666d">setVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#264a43fc2cf02093736eae60316dda8e">setVisible</a>(bool visible)</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#c7b3777c0e3521c021ec3a1c2c444039">ShadowRenderableList</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#7b0999d33e25db97d0449d6cf95cbecd">ShadowRenderableListIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#e3e2e4e50055bf99fd923ffa4f539f7d">tempSquareDist</a></td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#846e85ff543f44f6c4a34557aa78a111">update</a>(void) const </td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#c9a881430ec7769923f63f6df4b93d33">updateEdgeListLightFacing</a>(EdgeData *edgeData, const Vector4 &amp;lightPos)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#c61ca9c912e6b00bbe4fdd9ee0e56079">~AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Light.html#fbfeabb7d5503e571528fc0d365dc80a">~Light</a>()</td><td><a class="el" href="classOgre_1_1Light.html">Ogre::Light</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#1157924b0023b8d6e126723d27bd3774">~MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a09c6e22f9879c123355bca19c1b7131">~ShadowCaster</a>()</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:17 2008
</p>
</body>
</html>
